Jump to content

Express Scribe Registration Prompt


jr77
 Share

Recommended Posts

I am suddenly being prompted for a registration code upon opening the software. When I input the code I have, the software indicates that it is an old code.

It appears that my software has been updated to v 10.x and I have a code for 9.x. Is this something that happened automagically? 

Can I roll back to v 9.x? Or are you forcing me to purchase a new version?

Link to comment
Share on other sites

The software does not upgrade automatically, the user has to accept the upgrade. Usually, when it detects there are new versions available, you may get messages asking you to upgrade, if you accept, it will install it, so in case you get the message, you need to decline to avoid that problem. In any case, I do not know what is the exact version that is compatible with your license but you can check out this link to find it: http://www.oldversiondownload.com/

If you cannot find the correct version, you will have to contact the support team: https://www.nch.com.au/support/index.html

In case you want to upgrade, NCH offers a license upgrade discount by entering your current registration code at http://www.nch.com.au/upgrade/

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...